View Issue Details

IDProjectCategoryView StatusLast Update
0028492LazarusLCLpublic2015-09-03 23:07
ReporterJanusz TomczakAssigned ToBart Broersma 
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version1.5 (SVN)Product Build 
Target Version1.4.4Fixed in Version1.4.4 
Summary0028492: EditButton - missing property ParentShowHint
DescriptionEditButton - missing property ParentShowHint
TagsNo tags attached.
Fixed in Revisionr49751
LazTarget1.4.4
Widgetset
Attached Files
  • editbtn.pas.patch (378 bytes)
    Index: lcl/editbtn.pas
    ===================================================================
    --- lcl/editbtn.pas	(revision 49721)
    +++ lcl/editbtn.pas	(working copy)
    @@ -394,6 +394,7 @@
         property ParentBiDiMode;
         property ParentColor;
         property ParentFont;
    +    property ParentShowHint;
         property PasswordChar;
         property PopupMenu;
         property ReadOnly;
    
    editbtn.pas.patch (378 bytes)

Activities

Denis Kozlov

2015-08-28 15:43

reporter  

editbtn.pas.patch (378 bytes)
Index: lcl/editbtn.pas
===================================================================
--- lcl/editbtn.pas	(revision 49721)
+++ lcl/editbtn.pas	(working copy)
@@ -394,6 +394,7 @@
     property ParentBiDiMode;
     property ParentColor;
     property ParentFont;
+    property ParentShowHint;
     property PasswordChar;
     property PopupMenu;
     property ReadOnly;
editbtn.pas.patch (378 bytes)

Denis Kozlov

2015-08-28 15:44

reporter   ~0085562

A simple patch attached to add ParentShowHint property to a published section of TEditButton class.

Tested with latest TRUNK.

Bart Broersma

2015-09-03 21:45

developer   ~0085691

Thanks for reporting.
Please close if OK.

Issue History

Date Modified Username Field Change
2015-08-07 23:45 Janusz Tomczak New Issue
2015-08-28 15:43 Denis Kozlov File Added: editbtn.pas.patch
2015-08-28 15:44 Denis Kozlov Note Added: 0085562
2015-08-28 16:27 Bart Broersma Assigned To => Bart Broersma
2015-08-28 16:27 Bart Broersma Status new => assigned
2015-09-03 21:45 Bart Broersma Fixed in Revision => r49751
2015-09-03 21:45 Bart Broersma LazTarget => 1.4.4
2015-09-03 21:45 Bart Broersma Note Added: 0085691
2015-09-03 21:45 Bart Broersma Status assigned => resolved
2015-09-03 21:45 Bart Broersma Fixed in Version => 1.4.4
2015-09-03 21:45 Bart Broersma Resolution open => fixed
2015-09-03 21:45 Bart Broersma Target Version => 1.4.4
2015-09-03 23:07 Janusz Tomczak Status resolved => closed